%define name	libmcrypto
%define oname	mcrypto
%define version 0.3.1
%define cvs	20060517
%define release %mkrel 0.%cvs.2

%define major	0
%define libname %mklibname %{oname} %major

Name: 	 	%{name}
Summary: 	Cryptography library from MiniSip
Version: 	%{version}
Release: 	%{release}

Source:		http://www.minisip.org/source/%{name}-%{version}-%{cvs}.tar.bz2
URL:		http://www.minisip.org/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  openssl-devel
BuildRequires:	libmutil-devel

%description
The libmcrypto library provides cryptographic encryption and hashing
interfaces that are leveraged by the Minisip application stack.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n %name

%build
./bootstrap
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/pkgconfig/%name.pc
%{_datadir}/aclocal/%name.m4
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Thu May 18 2006 Austin Acton <austin@mandriva.org> 0.3.1-0.20060517.2mdk
- fix naming

* Wed May 17 2006 Austin Acton <austin@mandrake.org> 0.3.1-0.20060517.1mdk
- initial package
